How do you upgrade above 10.4.11

I dropped my wireless mouse. There is no replacement. I have 10.4.11 operating system. How do I upgrade so I can get a new wireless mouse?

Back To Product

Follow this Question

1 Answer from the Community

  • As far as I know, the Magic Mouse is only supported by Leopard, or OS 10.5 - You have a few options: Upgrade your operating system by purchasing Leopard, or buy the older Mighty Mouse.

    Was this useful? Answer 1

    6 of 12 people found this useful

Related Questions